/* -*- c++ -*- */
#ifndef ALL_TEST_H__
#define ALL_TEST_H__

#include <akaxiso/content_model.h>
#include <string>

struct params {
  params() {
  }
  std::string one_;
  std::string two_;
  aka::deep_ptr<std::string> three_;
}; 

namespace xiso {
  template<>
  struct leaf<params> : public aka::all<params> {
    void model() {
      member("one", &params::one_);
      member("two", &params::two_);
      ptrmember("three", &params::three_);
    }
  };
}

#endif
